package org.example.domain.useCases

import org.example.data.model.ShoesDTO
import org.example.domain.request.AddShoesRequest
import org.example.domain.response.ShoesResponse

interface ShoesUseCase {
    fun addShoes(request: AddShoesRequest): ShoesResponse
    fun getAllShoes(): List<ShoesDTO>
    fun getShoesById(id: Int):ShoesDTO?
    fun updateShoes(id: Int, updateShoes: ShoesDTO): ShoesResponse
    fun delete(id: Int):Boolean
}